package company_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type CompanySignQualificationsRequest struct {
	CompanyRequest *common.CompanyRequest `json:"companyRequest,omitempty"`
}

func (obj CompanySignQualificationsRequest) GetUrl() string {
	return "/company/sign/qualifications"
}

func (obj CompanySignQualificationsRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
